ruby-on-rails– 无法在Fedora 17上安装PG gem

ruby-on-rails– 无法在Fedora 17上安装PG gem,第1张

概述pg gem很顽固,所以我无法在新电脑上加载我的应用程序.看起来像多个问题,无法找到pg_config,然后是extconf.rb#psql working... psql (9.2.1) Type 'help' for help. nd => \q $pg_config: #adding the path to bashrc... $nano

pg gem很顽固,所以我无法在新电脑上加载我的应用程序.看起来像多个问题,无法找到pg_config,然后是extconf.rb

#psql working...psql (9.2.1)Type "help" for help.nd =>\q$pg_config:#adding the path to bashrc...$nano .bashrcPATH=/usr/pgsql-9.2/bin:$PATH#seems to work...pg_config: /usr/pgsql-9.2/bin/pg_config$sudo gem install pg#but i get the same errors...Building native extensions.  This Could take a while..........ERROR:  Error installing pg:        ERROR: Failed to build gem native extension.        /usr/bin/ruby extconf.rbchecking for pg_config... noNo pg_config... trying anyway. If building fails,please try again with --with-pg-config=/path/to/pg_configchecking for libpq-fe.h... noCan't find the 'libpq-fe.h header*** extconf.rb Failed ***Could not create Makefile due to some reason,probably lack ofnecessary librarIEs and/or headers.  Check the mkmf.log file for moredetails.  You may need configuration options.

有没有处理过这个问题的linux人?最佳答案这是通过解决的

$yum install /usr/include/libpq-fe.h
总结

以上是内存溢出为你收集整理的ruby-on-rails – 无法在Fedora 17上安装PG gem全部内容,希望文章能够帮你解决ruby-on-rails – 无法在Fedora 17上安装PG gem所遇到的程序开发问题。

如果觉得内存溢出网站内容还不错,欢迎将内存溢出网站推荐给程序员好友。

欢迎分享,转载请注明来源:内存溢出

原文地址:http://outofmemory.cn/yw/1048324.html

(0)
打赏 微信扫一扫微信扫一扫 支付宝扫一扫支付宝扫一扫
上一篇 2022-05-25
下一篇2022-05-25

发表评论

登录后才能评论

评论列表(0条)

    保存